andifandrich
Nintex Newbie

Error message: LiveTokenProvider requires Live to be installed and activated

I have the following error message in the ULS logs of all WFEs:

There was an error getting the Farm connection string:System.InvalidOperationException: LiveTokenProvider requires Live to be installed and activated

at Nintex.Workflow.ExternalStart.ExternalStartExtensions.GetLiveTokenGenerator()

at Nintex.Workflow.Start.ApiClient.GetLiveToken()

at Nintex.Workflow.Start.ApiClient.GetClient()

at Nintex.Workflow.Start.ApiClient.Execute(IRestRequest request)

at Nintex.Workflow.Start.Service.ServiceProcess.GetConnectionString()

This is logged exactly every 15 seconds. Workflows seem to work fine, but I'd like to get rid of this - especially since these entries are "Unexpected".

We are talking about Nintex Workflow 2013 on prem and Nintex Live is not enabled in this farm.

0 Kudos
Reply
6 Replies
praios81
Ribbon Ruler

Re: Error message: LiveTokenProvider requires Live to be installed and activated

The error seems to be caused by the external start feature. If you don't use external start for your workflows you could simply deactivate it (which should be the default setting) in

central administration --> Nintex Workflow Management --> Live and External Settings

Would that help you?

0 Kudos
Reply
andifandrich
Nintex Newbie

Re: Error message: LiveTokenProvider requires Live to be installed and activated

Hi Enrico,

there is no "Live and External Settings". However as stated above, Live is not enabled in the farm and on some of the admin pages it states "...please go to Live settings and lick Enable...".

0 Kudos
Reply
praios81
Ribbon Ruler

Re: Error message: LiveTokenProvider requires Live to be installed and activated

Hmm, could you go to the licensing information in nintex workflow management and see what version of nintex workflow 2013 you have installed?

if you do not see live and external settings, do you see external settings instead? If so could you post a screenshot of the configuration?

0 Kudos
Reply
andifandrich
Nintex Newbie

Re: Error message: LiveTokenProvider requires Live to be installed and activated

Version is 3.1.7.0 and there are those links: External start URLs, Live settings and Live catalog settings.

0 Kudos
Reply
praios81
Ribbon Ruler

Re: Error message: LiveTokenProvider requires Live to be installed and activated

I'm still wondering why the error is speaking of external start feature. That feature was introduced later than 3.1.7.0.

Could you please perform an upgrade of your Nintex Workflow installation? Latest build is 3.2.1.0 which also brought a couple of bug fixed which is why it should be installed either way.

Let us know if that also fixes your error, ok?

0 Kudos
Reply
andifandrich
Nintex Newbie

Re: Error message: LiveTokenProvider requires Live to be installed and activated

Well, the test system has the same version installed but doesn't produce this error message. I'll install the latest version, but will have to try it out on the test system first. Could be a few days...

Thanks Enrico, I will let you know...

0 Kudos
Reply